Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 08-08-2019 04:55:35

oitsuki
Membre
Inscription : 21-04-2019

CURL, SSL problem

J'ai cette erreur qui apparait sur mon iste après mise à jour vers buster :


[08-Aug-2019 03:38:25 UTC] PHP Notice:  {
    "method": "get",
    "url": "https:\/\/demo.xxxxx.com\/demo\/index.php?Products&Description&products_id=12",
    "options": {
        "verify": "\/var\/www\/clients\/client1\/web8\/web\/demo\/includes\/xxxxxxxxxxx\/External\/cacert.pem"
    }
} in /var/www/clients/client1/web8/web/demo/includes/xxxxxxxxxxx/OM/HTTP.php on line 147
[08-Aug-2019 03:38:25 UTC] PHP Notice:  Error creating resource: [message] fopen(): SSL operation failed with code 1. OpenSSL Error messages:
error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed
[file] /var/www/clients/client1/web8/web/demo/includes/xxxxxxxxxxx/External/vendor/guzzlehttp/guzzle/src/Handler/StreamHandler.php
[line] 323
[message] fopen(): Failed to enable crypto
[file] /var/www/clients/client1/web8/web/demo/includes/xxxxxxxxxxx/External/vendor/guzzlehttp/guzzle/src/Handler/StreamHandler.php
[line] 323
[message] fopen(https://demo.xxxxx.com/demo/index.php?Products&Description&products_id=12): failed to open stream: operation failed
[file] /var/www/clients/client1/web8/web/demo/includes/xxxxxxxxxxx/External/vendor/guzzlehttp/guzzle/src/Handler/StreamHandler.php
[line] 323 in /var/www/clients/client1/web8/web/demo/includes/xxxxxxxxxxx/OM/HTTP.php on line 150
[08-Aug-2019 03:38:25 UTC] PHP Warning:  DOMDocument::loadHTML(): Empty string supplied as input in /var/www/clients/client1/web8/web/demo/includes/xxxxxxxxxxx/Apps/Marketing/SEO/Classes/xxxxxxxxxxxAdmin/SeoReport.php on line 261
 



Il semblerait que ce soit en relation avec ca :


Les paquets suivants contiennent des dépendances non satisfaites :
 php7.3-curl : Dépend: libcurl3 (>= 7.44.0) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Les paquets suivants contiennent des dépendances non satisfaites :
 php7.3-curl : Dépend: libcurl3 (>= 7.44.0) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 



Comment je peux rectifier ce problème

Merci

Hors ligne

#2 08-08-2019 08:44:38

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.4.0-3-amd64
(G)UI : mutter 3.34.3-1
Inscription : 15-02-2016

Re : CURL, SSL problem

oitsuki a écrit :


Il semblerait que ce soit en relation avec ça :


Les paquets suivants contiennent des dépendances non satisfaites :
 php7.3-curl : Dépend: libcurl3 (>= 7.44.0) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Les paquets suivants contiennent des dépendances non satisfaites :
 php7.3-curl : Dépend: libcurl3 (>= 7.44.0) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».
 



Comment je peux rectifier ce problème

Merci




Si le problème est en relation avec php7.3-curl, ce dont je ne peux rien dire, dans buster la dépendance de php7.3-curl est à libcurl4 et non à libcurl3.

aptitude show php7.3-curl

Paquet : php7.3-curl                                    
Version : 7.3.4-2
État: non installé
Priorité : optionnel
Section : php
Responsable : Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
Architecture : amd64
Taille décompressée : 135 k
Dépend: php-common (>= 1:35), ucf, php7.3-common (= 7.3.4-2), libc6 (>= 2.14), libcurl4 (>= 7.44.0)
Fournit: php-curl
Description : module CURL pour PHP
 Ce paquet fournit le module CURL pour PHP.
 
 PHP (acronyme récursif pour « PHP: Hypertext Preprocessor » — PHP : préprocesseur hypertexte) est un langage de script libre très utilisé
 et généraliste. Il est particulièrement adapté au développement web et peut être embarqué dans du HTML.
Site : http://www.php.net/
 

En ligne

#3 08-08-2019 09:14:36

jce76350
Membre
Lieu : Rouen
Distrib. : Debian_Buster 10.3
Noyau : 4.19.0-8-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : CURL, SSL problem

il y a plusieurs posts pour ce soucis de mise à jour en PHP 7.3 sur Debian 10
personnellement je privilégie le dépôt de Ondřej Surý qui donne des versions plus à jour de PHP 7.3.x
ensuite ici déjà commencer par revérifier l'installation de PHP donc retenter l'install des paquets PHP ? pour vérifier les paquets

--
Jc E

Hors ligne

#4 08-08-2019 13:58:05

oitsuki
Membre
Inscription : 21-04-2019

Re : CURL, SSL problem

Voici le résultat


aptitude show php7.3-curl
Paquet : php7.3-curl                                    
Version : 7.3.8-1+0~20190807.43+debian9~1.gbp7731bf
État: non installé (il reste les fichiers de configuration)
Priorité : optionnel
Section : php
Responsable : Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
Architecture : amd64
Taille décompressée : 123 k
Dépend: php-common (>= 1:35), ucf, php7.3-common (=
        7.3.8-1+0~20190807.43+debian9~1.gbp7731bf), libc6 (>= 2.14), libcurl3
        (>= 7.44.0)
Casse: php7.0-curl (< 7.0.33-1~)
Fournit: php-curl
Description : module CURL pour PHP
 Ce paquet fournit le module CURL pour PHP.
 

Hors ligne

#5 08-01-2020 09:53:06

Jahkyn
Membre
Distrib. : Debian Buster 10.2
Noyau : Linux 4.19.0-6-686-pae
Inscription : 05-01-2020
Site Web

Re : CURL, SSL problem

bonjour les amis,
je m'excuse de déterrer le sujet mais j'ai exactement le même problème avec php7.4-curl.
Une solution a t elle été trouvée ?

Hors ligne

#6 08-01-2020 10:41:03

jce76350
Membre
Lieu : Rouen
Distrib. : Debian_Buster 10.3
Noyau : 4.19.0-8-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : CURL, SSL problem

Quel est ton soucis avec php7.4-curl ? perso en PHP 7.4.1 avec le dépôt le dépôt de Ondřej Surý PHP 7.4  (comme indique plus haut pour PHP) je suis avec Curl 7.64.0

--
Jc E

Hors ligne

#7 08-01-2020 11:00:55

Jahkyn
Membre
Distrib. : Debian Buster 10.2
Noyau : Linux 4.19.0-6-686-pae
Inscription : 05-01-2020
Site Web

Re : CURL, SSL problem

c'est bon !
j'etais déja avec le dépot de Ondrej Sury mais je ne sais pour quelles raisons j'tais encore avec Stretch que j'ai remplacé par Buster dans /etc/apt/sources.list.d/php.list.

Merci

d'ailleurs j'ai l'impression que pas mal de dépots ne sont pas mis sur Buster ... où ai-je déconné ?

Hors ligne

#8 08-01-2020 11:39:23

jce76350
Membre
Lieu : Rouen
Distrib. : Debian_Buster 10.3
Noyau : 4.19.0-8-amd64
(G)UI : XFCE
Inscription : 24-08-2016
Site Web

Re : CURL, SSL problem

Je ne comprends pas tu es sous Stretch  ou Buster ? + il faut éviter de mélanger les dépôts
Normalement si tu es sous Stretch c'est bon aussi il y a un aussi fichier wink

--
Jc E

Hors ligne

#9 08-01-2020 11:58:59

Jahkyn
Membre
Distrib. : Debian Buster 10.2
Noyau : Linux 4.19.0-6-686-pae
Inscription : 05-01-2020
Site Web

Re : CURL, SSL problem

non non c'est bonj en fait ... je suis bête c'est tout

Hors ligne

Pied de page des forums